#!/usr/bin/env python

from .link import Link

class EntryPoint:
    
    __counter = 0
    
    def __init__(self, objid = None):
        if objid:
            assert EntryPoint.__counter <= int(objid)
            EntryPoint.__counter = int(objid)
        else:
            EntryPoint.__counter += 1
        self.__name = "ep"+str(EntryPoint.__counter)
        self.__links = {}
        
    @property
    def name(self):
        return self.__name
    
    def __str__(self):
        return "<"+self.__name+">"
    
    def __repr__(self):
        return "<"+self.__name+">"
    
    def addAccessLink(self, c, a):
        self.__links[c.name] = Link(destination = c, availability = a)
    
    @property
    def accessLinks(self):
        return self.__links
    
if __name__ == '__main__':
    entryPoints = [EntryPoint() for _ in range(0,3)]
    print(entryPoints)
