#!/usr/bin/env python3

class Function:
    
    __counter = 0
    
    def __init__(self, availability = 1.0, objid = None):
        if objid:
            assert Function.__counter <= int(objid)
            Function.__counter = int(objid)
        else:
            Function.__counter += 1
        self.__name = "f"+str(Function.__counter)
        self.__availability = float(availability)
        
    @property
    def name(self):
        return self.__name
    
    @property
    def availability(self):
        return self.__availability
    
    def __str__(self):
        return "<"+self.__name+">"
    
    def __repr__(self):
        return "<"+self.__name+">"
    
    
if __name__ == '__main__':
    functions = [Function() for _ in range(0,3)]
    print (functions)